<?php

// Bring into scope in case needed below
global $pagename;

// The following code takes the Wiki Title and turns it into HTML that alternates between 
// black and white for each part of the WikiWord, if you hate this then defined $PageLogoFmt
// in your config.php directly
global $PageLogoFmt, $PageLogoSpacer, $LogoTagline, $WikiTitle, $AsSpacedFunction;

SDV($PageLogoSpacer, '');

$spaced_title = preg_split('/[\\s]+/', $AsSpacedFunction($WikiTitle));
for ($title_index = 0; $title_index < count($spaced_title); $title_index++) {
  if($title_index % 2 == 0) {
    $html_title .= $spaced_title[$title_index] . $PageLogoSpacer;
  } else {
    $html_title .= "<span>" . $spaced_title[$title_index] . "</span>" . $PageLogoSpacer;
  }
}
SDV($LogoTagline, "via PmWiki");
SDV($PageLogoFmt, "<a href='$ScriptUrl'>$html_title</a><br />
                   <span id='tag'>$LogoTagline</span>");


// For example set this to something like "&copy; 2005 PmWiki User"
global $CopyrightNotice;
SDV($CopyrightNotice, "");

// Redefine the edit and upload pages so that a css tag is defined that we can use
global $PageEditFmt;
$PageEditFmt = "<div id='wikiedit'>
  <a id='top' name='top'></a>
  <h1 class='wikiaction'>$[Editing \$FullName]</h1>
  <form method='post' action='\$PageUrl?action=edit'>
  <input type='hidden' name='action' value='edit' />
  <input type='hidden' name='n' value='\$FullName' />
  <input type='hidden' name='basetime' value='\$EditBaseTime' />
  \$EditMessageFmt
  <textarea class='editinput' id='text' name='text' rows='25' cols='65'
    onkeydown='if (event.keyCode==27) event.returnValue=false;'
    >\$EditText</textarea><br />
  $[Author]: <input class='editinput' type='text' name='author' value='\$Author' />
  <input class='editinput' type='checkbox' name='diffclass' value='minor' \$DiffClassMinor />
    $[This is a minor edit]<br />
  <input class='editbutton' type='submit' name='post' value=' $[Save] ' />
  <input class='editbutton' type='submit' name='preview' value=' $[Preview] ' />
  <input class='editbutton' type='reset' value=' $[Reset] ' /></form></div>";

global $PageUploadFmt;
$PageUploadFmt = array("
  <div id='wikiupload'>
  <h2 class='wikiaction'>$[Attachments for] \$FullName</h2>
  <h3>\$UploadResult</h3>
  <form enctype='multipart/form-data' action='\$PageUrl' method='post'>
  <input type='hidden' name='n' value='\$FullName' />
  <input type='hidden' name='action' value='postupload' />
  <table border='0'>
    <tr><td align='right'>$[File to upload:]</td>
        <td><input class='attachinput' name='uploadfile' type='file' /></td></tr>
    <tr><td align='right'>$[Name attachment as:]</td>
      <td><input class='attachinput' type='text' name='upname' value='\$UploadName' />
          <input type='submit' value=' $[Upload] ' /><br />
        </td></tr></table></form></div>",
  'wiki:$[PmWiki.UploadQuickReference]');

// Define a login button if UserAuth is being used. If UserAuth is not used
// then the variable will just become empty text
global $LoginButton;
if( defined('USER_AUTH_VERSION') ) {

  $LoginButton = FmtPageName('<td bgcolor="#6C856C" class="action" align="center"><a class="navlink" href="$PageUrl?action=$LoginAction">$LoginAction</a></td>', $pagename);

  global $action, $PageInlineStyle;
  if($action == "admin") {
    // Append text that disables the title text from being displayed.
    // During admin mode Group >> PageName will not be displayed
    $PageInlineStyle .= ".titletext { display: none; }";
  }

} else {
  $LoginButton = '';
}

// Set up buttons using CMSLike if it has been loaded
global $CmsLikeMenuItems, $CmsLikeMenuSep;
$CmsLikeMenuItems =
  array( 
	 'history'=> '<td bgcolor="#6C856C" class="action" align="center"><a class="navlink" href="$PageUrl?action=diff">$[history]</a></td>',
	 'edit'=> '<td bgcolor="#6C856C" class="action" align="center"><a class="navlink" href="$PageUrl?action=edit">$[edit]</a></td>',
	 'print'=> '<td bgcolor="#6C856C" class="action" align="center"><a class="navlink" href="$PageUrl?action=print" rel="external">$[print]</a></td>',
	 'upload' => '<td bgcolor="#6C856C" class="action" align="center"><a class="navlink" href="$PageUrl?action=upload">$[attach]</a></td>',
	 'attr'=> '<td bgcolor="#6C856C" class="action" align="center"><a class="navlink" href="$PageUrl?action=attr">$[attributes]</a></td>',
	 'admin' => '<td bgcolor="#6C856C" class="action" align="center"><a class="navlink" href="$PageUrl?action=admin">$[admin]</a></td>',
	 'pwchange' => '<td bgcolor="#6C856C" class="action" align="center"><a class="navlink" href="$PageUrl?action=pwchange">$[change pass]</a></td>'
	 );
$CmsLikeMenuSep = "\n";

// If CMSLike is not being used then define a function to display some buttons 
// that are likely to be accessible to users
if( !defined('CMSLIKE_VERSION') ) {

  function CmsLikeMenuFmt($pagename, $alt="") {
    global $CmsLikeMenuItems;

    PrintFmt($pagename, implode( "\n", 
				 array( 
				        $CmsLikeMenuItems['edit'],
					$CmsLikeMenuItems['history'],
					$CmsLikeMenuItems['print']
					)
				 )
	     );
  } // End CmsLikeMenuFmt
  
}

?>